{"openapi":"3.0.3","info":{"title":"PodBox","version":"1.0.0"},"paths":{"/api/v1/openapi.json":{"get":{"responses":{"200":{"description":"ok"}}}},"/api/v1/checkout":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/checkout/token":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/checkout/quote":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/subscription/cancel":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/subscription/reactivate":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/subscription/keep":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/subscription/annual":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/subscription/monthly":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/stripe/webhook":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/clerk/webhook":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/balance":{"get":{"responses":{"200":{"description":"ok"}}}},"/api/v1/account":{"get":{"responses":{"200":{"description":"ok"}}},"delete":{"responses":{"200":{"description":"ok"}}}},"/api/v1/home":{"get":{"responses":{"200":{"description":"ok"}}}},"/api/v1/billing":{"get":{"responses":{"200":{"description":"ok"}}}},"/api/v1/billing/portal":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/billing/auto":{"put":{"responses":{"200":{"description":"ok"}}}},"/api/v1/usage":{"get":{"responses":{"200":{"description":"ok"}}}},"/api/v1/retention":{"get":{"responses":{"200":{"description":"ok"}}},"patch":{"responses":{"200":{"description":"ok"}}}},"/api/v1/show":{"get":{"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","required":["title","description","author","coverUrl"],"properties":{"title":{"type":"string"},"description":{"type":"string"},"author":{"type":"string"},"coverUrl":{"type":"string"}}}}}}}},"patch":{"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","required":["title","description","author","coverUrl"],"properties":{"title":{"type":"string"},"description":{"type":"string"},"author":{"type":"string"},"coverUrl":{"type":"string"}}}}}}}}},"/api/v1/show/cover":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/feed/rotate":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/feed":{"get":{"responses":{"200":{"description":"ok"}}}},"/api/v1/episodes":{"post":{"responses":{"200":{"description":"ok"}}},"get":{"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","required":["episodes","nextCursor","prevCursor"],"properties":{"episodes":{"type":"array","items":{"type":"object","required":["episodeId","title","status","publishedAt","durationSeconds","bytes","expiresAt","audioUrl","mimeType"],"properties":{"episodeId":{"type":"string"},"title":{"type":"string"},"status":{"type":"string","enum":["held","published"]},"publishedAt":{"type":"integer","nullable":true},"durationSeconds":{"type":"integer","nullable":true},"bytes":{"type":"string"},"expiresAt":{"type":"integer","nullable":true},"audioUrl":{"type":"string","nullable":true},"mimeType":{"type":"string","enum":["audio/mpeg","audio/mp4","audio/aac","audio/wav","audio/x-m4a",null],"nullable":true}}}},"nextCursor":{"type":"string","nullable":true},"prevCursor":{"type":"string","nullable":true}}}}}}}}},"/api/v1/episodes/speech":{"post":{"responses":{"200":{"description":"ok"}}}},"/api/v1/speech/presets":{"get":{"responses":{"200":{"description":"ok"}}}},"/api/v1/episodes/{episodeId}":{"get":{"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"object","required":["status","episodeId","title","description","bytes","audioUrl","mimeType","coverUrl"],"properties":{"status":{"type":"string","enum":["held","published","voided","failed","closed","removed"]},"episodeId":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"bytes":{"type":"string"},"durationSeconds":{"type":"integer"},"generationCredits":{"type":"integer"},"storageCredits":{"type":"integer"},"reason":{"type":"string","enum":["deleted","expired","aged","trimmed"]},"progress":{"type":"object","required":["phase","partsDone","partsTotal"],"properties":{"phase":{"type":"string","enum":["queued","rendering"]},"partsDone":{"type":"integer"},"partsTotal":{"type":"integer"}}},"audioUrl":{"type":"string","nullable":true},"mimeType":{"type":"string","enum":["audio/mpeg","audio/mp4","audio/aac","audio/wav","audio/x-m4a",null],"nullable":true},"coverUrl":{"type":"string"}}}}}}},"parameters":[{"name":"episodeId","in":"path","required":true}]},"patch":{"responses":{"200":{"description":"ok"}},"parameters":[{"name":"episodeId","in":"path","required":true}]},"delete":{"responses":{"200":{"description":"ok"}},"parameters":[{"name":"episodeId","in":"path","required":true}]}},"/api/v1/episodes/{episodeId}/complete":{"post":{"responses":{"200":{"description":"ok"}},"parameters":[{"name":"episodeId","in":"path","required":true}]}},"/api/v1/episodes/{episodeId}/cover":{"post":{"responses":{"200":{"description":"ok"}},"parameters":[{"name":"episodeId","in":"path","required":true}]}}},"x-skus":{"BM1":{"credits":5000,"priceUsdCents":600,"taxBehavior":"exclusive"},"BA1":{"credits":60000,"priceUsdCents":6000,"taxBehavior":"exclusive"},"EA1":{"credits":5000,"priceUsdCents":500,"taxBehavior":"exclusive"}}}